# Media Player Classic - Home Cinema

[![GitHub Tag](https://img.shields.io/github/tag/mpc-hc/mpc-hc.svg?label=version)](https://github.com/mpc-hc/mpc-hc)
[![Coverity Scan Build Status](https://img.shields.io/coverity/scan/259.svg)](https://scan.coverity.com/projects/259)


Media Player Classic - Home Cinema (MPC-HC) is a free and open-source (OSS) video
and audio player for Windows. MPC-HC is based on the original Guliverkli project
and contains many additional features and bug fixes.

We are in dire need of new developers of any kind. If you can code a little, or you can create
logos for the player and images for the file associations, or you can create/maintain the main
website, please join our IRC channel and talk to us. Any help is always appreciated.

Find some easy ticket on our Trac, fix the problem, send a [pull request](https://github.com/mpc-hc/mpc-hc/pulls),
or post the patch on [Trac](https://trac.mpc-hc.org/) or come on IRC and we'll review it for you.
See [CONTRIBUTING.md](/CONTRIBUTING.md) for more info.

*We care about keeping an open project open and free for contributions wherever they may come from.*


## Main Features

* Option to remove [tearing](https://en.wikipedia.org/wiki/Screen_tearing)
* Support for modern Windows versions, including a 64-bit build
* Support for [EVR/EVR CP](https://en.wikipedia.org/wiki/Media_Foundation#Enhanced_Video_Renderer) (Enhanced Video Renderer)
* Supports most types of [subtitles](https://en.wikipedia.org/wiki/Subtitle_%28captioning%29#Subtitle_formats)
  including [BluRay](https://en.wikipedia.org/wiki/Blu-ray_Disc) .sup files
* Playback and recording of television programs, if a supported
  [TV tuner card](https://en.wikipedia.org/wiki/TV_tuner_card) is installed
* [OSD info (On Screen Display)](https://en.wikipedia.org/wiki/On-screen_display)
* Multi-Monitor support
* Various [pixel shaders](https://en.wikipedia.org/wiki/Shader#Pixel_shaders)
* [Color management](https://en.wikipedia.org/wiki/Color_management)
* 42 translations available


## System Requirements

* An SSE2-capable CPU
* Windows Vista, 7, 8, 8.1, 10 32-bit/64-bit


## Links

* [Website](https://mpc-hc.org/)
* [Source code](https://github.com/mpc-hc)
* [Support Trac](https://trac.mpc-hc.org/)
* IRC Channel: [#mpc-hc](https://webchat.freenode.net/?randomnick=1&channels=mpc-hc&prompt=1&uio=d4)
  / [#mpc-hc-dev](https://webchat.freenode.net/?randomnick=1&channels=mpc-hc-dev&prompt=1&uio=d4) at [Freenode](https://freenode.net/)
* [Donations](https://mpc-hc.org/donate/)
* [Translations](https://www.transifex.com/mpc-hc/mpc-hc/)


For the people involved in the development, see [Authors.txt](/docs/Authors.txt).

MPC-HC's code is licensed under [GPL v3](/COPYING.txt).

Translations are done by various translators (see [Authors.txt](/docs/Authors.txt)).


## Third-party code

MPC-HC makes use of the following third-party code:

| Project           | License                   | Website           |
| ----------------- | ------------------------- | ----------------- |
| bs2b              | MIT License               | <http://bs2b.sourceforge.net> |
| CSizingControlBar | -                         | <http://www.datamekanix.com/sizecbar/> |
| LAV Filters       | GPLv2+                    | <https://github.com/Nevcairiel/LAVFilters> |
| libdivide         | zlib License              | <http://libdivide.com/> |
| Little CMS        | MIT License               | <http://www.littlecms.com/> |
| Logitech SDK      | -                         | - |
| MediaInfoLib      | Simplified BSD License    | <https://mediaarea.net/MediaInfo> |
| MinHook           | Simplified BSD License    | <https://github.com/TsudaKageyu/minhook> |
| MultiMon          | CPOL                      | <https://www.codeproject.com/Articles/3690/> |
| NanoSVG           | zlib License              | <https://github.com/memononen/nanosvg> |
| QuickTime SDK     | -                         | <https://developer.apple.com/quicktime/> |
| RapidJSON         | MIT License               | <https://github.com/miloyip/rapidjson> |
| RARFileSource     | GPLv2+                    | <http://www.v12pwr.com/RARFileSource/> |
| RealMedia SDK     | -                         | - |
| ResizableLib      | Artistic License          | <https://github.com/ppescher/resizablelib> |
| sanear            | LGPLv2.1                  | <https://github.com/alexmarsev/sanear> |
| Silk Icons        | CC Attribution 2.5        | <http://www.famfamfam.com/lab/icons/silk/> |
| SoundTouch        | LGPLv2.1                  | <http://www.surina.net/soundtouch/> |
| soxr              | LGPLv2.1+                 | <https://sourceforge.net/projects/soxr/> |
| tinyxml2          | zlib License              | <http://www.grinninglizard.com/tinyxml2/> |
| TreePropSheet     | -                         | <https://www.codeproject.com/Articles/3709/> |
| UnRAR             | freeware                  | <http://www.rarlab.com/rar_add.htm> |
| VirtualDub        | GPLv2+                    | <http://www.virtualdub.org/> |
| XmlRpc4Win        | MIT License               | <https://github.com/drtimcooper/XmlRpc4Win> |
| ZenLib            | zlib License              | <https://github.com/MediaArea/ZenLib> |
| zita-resampler    | GPLv3                     | <http://kokkinizita.linuxaudio.org/linuxaudio/> |
| zlib              | zlib License              | <http://zlib.net/> |
